Summary: An embeddable LISP environment.
Name: librep
Version: 0.12.1
Release: 3
Epoch: 1
Copyright: GPL
Group: Development/Languages
Source: ftp://librep.sourceforge.net/pub/librep/librep-%{version}.tar.gz
URL: http://librep.sourceforge.net/
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root
Prereq: /sbin/install-info

%description
Librep is a dialect of LISP for use embedded in other applications or
on its own. Librep is mostly (but not fully) compatible with Emacs
LISP. Librep contains a LISP interpreter, a byte-code compiler and a
virtual machine. Applications can use the LISP interpreter as an
extension language, or it can be used for standalone scripts.

%package devel
Summary: Include files and link libraries for librep development.
Group: Development/Languages
Requires: librep = %{version}

%description devel
The link libraries and C header files for librep development. Librep
is an embeddable dialect of LISP.

%prep
%setup

%build
autoconf
%configure \
%ifarch ia64
	--with-malloc-alignment=8 \
%endif	
        --with-readline --enable-shared --enable-static

make host_type=%{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT host_type=%{_target_platform} install
gzip -9nf $RPM_BUILD_ROOT%{_infodir}/librep*

find $RPM_BUILD_ROOT -type f -name "*.so*" -exec strip --strip-unneeded {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README etc/TODO
%{_prefix}/bin/rep
%{_prefix}/bin/rep-remote
%{_prefix}/lib/librep.so.*.*
%{_prefix}/share/rep/%{version}/
%{_prefix}/libexec/rep/%{version}/%{_target_platform}/
%{_infodir}/librep*

%files devel
%defattr(-,root,root)
%{_prefix}/bin/rep-config
%{_prefix}/bin/rep-xgettext
%{_prefix}/bin/repdoc
%{_prefix}/lib/librep.a
%{_prefix}/lib/librep.so
%{_prefix}/include/rep.h
%{_prefix}/include/rep_*.h
%{_prefix}/libexec/rep/%{_target_platform}/libtool
%{_prefix}/libexec/rep/%{_target_platform}/rules.mk
%{_prefix}/share/aclocal/rep.m4

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/librep.info.gz %{_infodir}/dir

%postun -p /sbin/ldconfig

%preun 
if [ $1 = 0 ]; then
	/sbin/install-info --delete %{_infodir}/librep.info.gz %{_infodir}/dir
fi

%changelog
* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- 0.12.1
- remove stack smash workaround patch

* Sat Jun 17 2000 Matt Wilson <msw@redhat.com>
- use %%configure and %%makeinstall
- use %%{_infodir}

* Sat Jun  17 2000 Havoc Pennington <hp@redhat.com>
- 0.12
- remove gmp patch to configure.in, seems to have been merged upstream
- remove ia64 hack, since upstream seems to have addressed the issue
  (though it isn't the same solution as our patch, so may or may not 
  work)

* Thu May 18 2000 Bill Nottingham <notting@redhat.com>
- tweaks for ia64

* Fri Apr 28 2000 Matt Wilson <msw@redhat.com>
- rebuilt against gmp 3.0.1

* Sat Apr 22 2000 Bill Nottingham <notting@redhat.com>
- update to 0.11.3

* Mon Apr 10 2000 Bill Nottingham <notting@redhat.com>
- update to 0.11.2

* Mon Apr  3 2000 Bill Nottingham <notting@redhat.com>
- ditto

* Tue Mar 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with new readline

* Fri Mar 10 2000 Bill Nottingham <notting@redhat.com>
- update to 0.11.1

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- add install-info stuff

* Mon Jan 10 2000 Bill Nottingham <notting@redhat.com>
- update to 0.10
- don't pacakge ldconfig symlinks

* Thu Nov 11 1999 Michael K. Johnson <johnsonm@redhat.com>
- Remove stack tracing on alpha in order not to trigger internal
  compiler error.  Should be reverted when we get a newer
  compiler; development gcc has this fixed.

* Wed Nov 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- post{,un} use -p

* Mon Sep 13 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.5 spec file update: added buildroot
